Sluby
REST APIOps

Plays per day of the workspace’s videos.

Plays of the workspace’s videos per UTC day for the last `days` days, today included, oldest first, with days without plays as 0. What counts as a play is described on `play_count` of an asset.

GET
/api/v1/stats/usage

Plays of the workspace’s videos per UTC day for the last days days, today included, oldest first, with days without plays as 0. What counts as a play is described on play_count of an asset.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A Sluby API key (sluby_...) sent as Authorization: Bearer <key>. Keys carry scopes: upload, read, manage.

Query Parameters

days?integer
Range1 <= value <= 90
Default30

Response Body

Plays per day.

application/json
  1. response
days*array<>
total*integer

Plays over all the days.

Range0 <= value
Example Request
curl -X GET 'https://sluby.example.com/api/v1/stats/usage'
Example Response
{  "days": [    {      "date": "2019-08-24",      "plays": 0    }  ],  "total": 0}